/**
 * \htmlonly
 * <style type="text/css">
 * body {
 * 	counter-reset: section;
 * }
 * 
 * h2 {
 * 	counter-increment: section;
 * 	counter-reset: subsection;
 * }
 * 
 * h3 {
 * 	counter-increment: subsection;
 * 	counter-reset: subsubsection;
 * }
 * 
 * h4 {
 * 	counter-increment: subsubsection;
 * }
 * 
 * h2:before {
 * 	content: counter(section) ".";
 * 	color: #1a41a8;
 * }
 * 
 * h3:before {
 * 	content: counter(section) "." counter(subsection);
 * 	color: #1a41a8;
 * }
 * 
 * h4:before {
 * 	content: counter(section) "." counter(subsection) "." counter(subsubsection);
 * 	color: #1a41a8;
 * }
 * </style>
 * \endhtmlonly
 *
 * \mainpage MeanWalker
 *
 * \author Jori Liesenborgs
 *
 * \section intro Introduction
 * 
 * 	MeanWalker is a library which provides functions to sample from probability
 * 	distributions (and to build histograms etc). To do this it provides a way
 * 	to take samples using the Metropolis-Hastings method as well as the
 * 	Goodman-Weare method.
 *
 * \section license License
 * 	
 * 	The license which applies to this library is the GPL. You can find the
 *	full version in the file LICENSE.GPL which is included in the library
 *	archive. The short version is the following:
 * 		
 * 	\code
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 * USA
 * 	\endcode
 *
 * \section usage Usage
 *
 * 	Please take a look at the examples included in the archive, and consult
 * 	the reference documentation for more information about specific classes/functions.
 *
 * \section contact Contact
 *
 * 	If you have any questions, remarks or requests, you can contact me at
 * 	\c jori(\c dot)\c liesenborgs(\c at)\c gmail(\c dot)\c com
 * 	
 */
